#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.4.1.0
id: criterion-1.4.1.0-2PobiVNeNPDBoQx6doeWG3
key: criterion-1.4.1.0-2PobiVNeNPDBoQx6doeWG3
license: BSD-3-Clause
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
abi: 2533ae0d940960e317ef9d14620bf6a8
exposed: True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Measurement Criterion.Monad Criterion.Report
    Criterion.Types
hidden-modules: Criterion.Monad.Internal Criterion.Types.Internal
                Paths_criterion
import-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.4.1.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.4.1.0-2PobiVNeNPDBoQx6doeWG3
depends:
    aeson-1.3.1.1-7VLuHgXpUZXICjV9H4HLME
    ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm base-4.11.1.0
    base-compat-batteries-0.10.1-XwvuShGBZlD107UbK8kvD binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-41ZaKrzpY385lqVR5NtG6g
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    deepseq-1.4.3.0 directory-1.3.1.5
    exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO filepath-1.4.2
    Glob-0.9.2-AbjvDlFSYnKBsiDSJQ0XCU
    microstache-1.0.1.1-1WcN4ME4UlaQd7cI8EBEY
    js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ
    js-jquery-3.3.1-JTvZxUd6NoM1inHaxD2baO mtl-2.2.2
    mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t
    optparse-applicative-0.14.2.0-2eDVpgsAe1xL6LOfCGKJrU
    parsec-3.1.13.0 statistics-0.14.0.2-FciJpnPc8aC56ZNozNtpNe
    text-1.2.3.0 time-1.8.0.2 transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    vector-algorithms-0.7.0.1-EyyozaUjs08KrqwZf8niHA
abi-depends: aeson-1.3.1.1-7VLuHgXpUZXICjV9H4HLME=7ee9b817f9a46427a0a72def7776ba94
             ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm=cbc795f0a49989e87d7491265173e6cf
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base-compat-batteries-0.10.1-XwvuShGBZlD107UbK8kvD=9a1380d8471f7ad75777d6a59339596b
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cassava-0.5.1.0-41ZaKrzpY385lqVR5NtG6g=08e0650e4fe7d5e1f139e11a76024c0a
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=79049f84d9ede2f2865e34c7a6dfc923
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO=87ba3c1011ac70bcfb17ce2e39a2e1bb
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             Glob-0.9.2-AbjvDlFSYnKBsiDSJQ0XCU=fe90daae121092f087f19649a03fe024
             microstache-1.0.1.1-1WcN4ME4UlaQd7cI8EBEY=040e3d12f9b580977a10be2e8531f164
             js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ=682f148b16a4228534fb18ce1bf6b5c5
             js-jquery-3.3.1-JTvZxUd6NoM1inHaxD2baO=010094ee4413f1bcf26ce551b15205b2
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t=7344a5c7a09b43c4769d3fcfaa13b8fc
             optparse-applicative-0.14.2.0-2eDVpgsAe1xL6LOfCGKJrU=167699d54d61d2b1b6c082fc4a9ddc9b
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             statistics-0.14.0.2-FciJpnPc8aC56ZNozNtpNe=d404943795341c23a90dba264df7de46
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             vector-algorithms-0.7.0.1-EyyozaUjs08KrqwZf8niHA=48bdf97ad77b62b8919d00fb3f43f591
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

